Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDecimatePro::VertexArray Class Reference

`#include <vtkDecimatePro.h>`

Collaboration diagram for vtkDecimatePro::VertexArray:

[legend]
List of all members.

## Public Methods

| VertexArray (const vtkIdType sz)
| ~VertexArray ()
vtkIdType | GetNumberOfVertices ()
void | InsertNextVertex (LocalVertex &v)
LocalVertex & | GetVertex (vtkIdType i)
void | Reset ()

## Public Attributes

LocalVertex * | Array
vtkIdType | MaxId

## Constructor & Destructor Documentation

vtkDecimatePro::VertexArray::VertexArray | ( | const vtkIdType | sz | ) | `[inline]`

| Definition at line 333 of file vtkDecimatePro.h. References vtkIdType.

vtkDecimatePro::VertexArray::~VertexArray | ( |  | ) | `[inline]`

| Definition at line 335 of file vtkDecimatePro.h.

## Member Function Documentation

vtkIdType vtkDecimatePro::VertexArray::GetNumberOfVertices | ( |  | ) | `[inline]`

| Definition at line 342 of file vtkDecimatePro.h. References vtkIdType.

void vtkDecimatePro::VertexArray::InsertNextVertex | ( | LocalVertex & | v | ) | `[inline]`

| Definition at line 343 of file vtkDecimatePro.h.

LocalVertex& vtkDecimatePro::VertexArray::GetVertex | ( | vtkIdType | i | ) | `[inline]`

| Definition at line 345 of file vtkDecimatePro.h. References vtkIdType.

void vtkDecimatePro::VertexArray::Reset | ( |  | ) | `[inline]`

| Definition at line 346 of file vtkDecimatePro.h.

## Member Data Documentation

LocalVertex* vtkDecimatePro::VertexArray::Array

| Definition at line 348 of file vtkDecimatePro.h.

vtkIdType vtkDecimatePro::VertexArray::MaxId

| Definition at line 349 of file vtkDecimatePro.h.

The documentation for this class was generated from the following file:

- Graphics/vtkDecimatePro.h